/* CNRS/LAAS, 2011
 * Public domain
 */

#ifndef OPENROBOTS_JOINTMAP_H
#define OPENROBOTS_JOINTMAP_H

#include <openrobots/jointstate.h>
#define JOINTMAP_MAX_NAME_LENGTH 128

/** This structure is used to expose the names of joints in the
 * joint state structure.
 * 
 * The order of the names in a jointmap is supposed to match
 * the order of joints in corresponding joint state structure.
 */

typedef struct ori_jointmap {
	unsigned int nb_dofs;
	char joints[JOINT_STATE_MAX_DOF][JOINTMAP_MAX_NAME_LENGTH];
} ori_jointmap;


#endif
